The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of AVG: memory corruption via avg7core.sys

Synthesis of the vulnerability 

A local attacker can generate an overflow in avg7core.sys in order to corrupt memory.
Impacted software: AVG AntiVirus.
Severity of this computer vulnerability: 2/4.
Creation date: 11/07/2007.
Références of this announce: BID-24870, CVE-2007-3777, NGS00500, VIGILANCE-VUL-6988.

Description of the vulnerability 

The AVG antivirus installs the avg7core.sys driver.

One of the functions proposed by the 0x5348E004 ioctl does not check user data before copying them in memory. An attacker can thus use it to write data in system memory.

A local attacker can therefore generate a denial of service or execute code with privileges of system.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This security bulletin impacts software or systems such as AVG AntiVirus.

Our Vigil@nce team determined that the severity of this cybersecurity announce is medium.

The trust level is of type confirmed by the editor, with an origin of user account.

An attacker with a expert ability can exploit this vulnerability alert.

Solutions for this threat 

AVG: version 7.5.0.476.
Version 7.5.0.476 is corrected:
  http://free.grisoft.com/doc/downloads-products/us/frt/0?prd=aff
  http://www.grisoft.com/doc/31/us/crp/0?prd=avw
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computer vulnerability patch. The Vigil@nce vulnerability database contains several thousand vulnerabilities.